Skip to main content
GET
Get Message

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

message_id
string<uuid>
required

ID of the message.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

channel
enum<string>
required

Channel the message was sent on.

Available options:
EMAIL,
LINKEDIN,
CALENDAR,
MANUAL
direction
enum<string>
required

Inbound (from the contact) or outbound (sent by your team).

Available options:
INBOUND,
OUTBOUND
subject
string | null
required

Email subject line, if any.

body
string
required

Message body. Inbound messages have quoted reply history stripped.

sent_at
string<date-time>
required

When the message was sent or received.

sender_id
string<uuid> | null
required

Sending mailbox that sent an outbound message. Null for inbound messages from the contact.

sender
PublicSenderSummary · object | null

Summary of the sending mailbox for outbound messages.